using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{

    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridEditFormItem && e.Item.IsInEditMode)
        {
            GridEditFormItem editForm = (GridEditFormItem)e.Item;
            RadComboBox combo1 = (RadComboBox)editForm["CompanyName"].Controls[0];
            RadComboBox combo2 = (RadComboBox)editForm["ContactName"].Controls[0];
            combo1.OnClientLoad = "combo1Load";
            combo2.OnClientLoad = "combo2Load";
            combo1.OnClientSelectedIndexChanged = "combo1OnClientSelectedIndexChanged";            
        }
        else if (e.Item is GridEditFormInsertItem && e.Item.OwnerTableView.IsItemInserted)
        {
            GridEditFormInsertItem editForm = (GridEditFormInsertItem)e.Item;
            RadComboBox combo1 = (RadComboBox)editForm["CompanyName"].Controls[0];
            RadComboBox combo2 = (RadComboBox)editForm["ContactName"].Controls[0];
            combo1.OnClientLoad = "combo1Load";
            combo2.OnClientLoad = "combo2Load";
            combo1.OnClientSelectedIndexChanged = "combo1OnClientSelectedIndexChanged";      
        }
    }

  
}


